### <b> Effective: September 30th, 2020 </b>

These Slack API Terms of Service (the "API Terms") describe your rights and responsibilities when accessing our publicly available application programming interfaces (the "APIs") and related [API documentation](https://api.slack.com/). Please read them carefully. We are grateful you're here.

# First Things First
### Relationships & Definitions
These API Terms, together with the [Slack Application Developer Policy](https://api.slack.com/developer-policy) form a binding "Contract" between you and us. "We," "our" and "us" refers to the applicable Slack entity in the section entitled "Which Slack Entity are You Contracting With?" below, and "you," and "your," refers to the individual, company or legal entity that you represent. The Contract does not grant you any right to access or use our online workplace productivity tools and platform (the "Services") or any of our non-public application programming interfaces, which will be governed by a separate agreement with us (e.g., our [Customer Terms of Service](https://slack.com/terms-of-service)).

### The Slack Extended Family
We may leverage our employees, those of our corporate affiliates and third party contractors (the "Slack Extended Family") in exercising our rights and performing our obligations under the Contract. We will be responsible for the Slack Extended Family’s compliance with our obligations under the Contract.

# Access to Our APIs
### Your Applications
Subject to the restrictions below, we grant you a non-exclusive, worldwide, non-transferable (subject to the section titled "Assignment"), limited license to access our APIs and documentation only as necessary to develop, test and support an integration of your application (an "Application" or "App") with the Services. You may charge for your Application; however, you may not sell, rent, lease, sublicense, redistribute, or syndicate access to any of our APIs.

### Here Are the Rules
Your license to access our APIs and documentation is limited and subject to compliance with the [Slack Application Developer Policy](https://api.slack.com/developer-policy) and [Slack’s Brand Guidelines](https://slack.com/media-kit). Further, you will not: (A) access our APIs or documentation in violation of any law or regulation; (B) access our APIs in any manner that (i) compromises, breaks or circumvents any of our technical processes or security measures associated with the Services, (ii) poses a security vulnerability to customers or users of the Services, or (iii) tests the vulnerability of our systems or networks; (C) access our APIs or documentation in order to replicate or compete with the Services; (D) attempt to reverse engineer or otherwise derive source code, trade secrets, or know-how of our APIs or Services; or (E) attempt to use our APIs in a manner that exceeds rate limits, or constitutes excessive or abusive usage.

### Transparency & Reporting
If you offer your Application for use by others outside your organization, you must maintain a user agreement and privacy policy for your Application, which is prominently identified or located where users download or access your Application. Your privacy policy must meet applicable legal standards and describe the collection, use, storage and sharing of data in clear, understandable and accurate terms. You are required to follow applicable legal requirements if the use of your app will result in the international transfer of personal data. You must promptly notify us in writing via email to [security@slack.com](mailto:security@slack.com) of any breaches of your user agreement or privacy policy that impact or may impact customers or users of the Services. Please review our [Privacy Policy](https://slack.com/trust/privacy/privacy-policy) for more information on how we collect and use data relating to the use and performance of our websites and products.

## Our Right to Suspend Access and Audit
If we believe that there is a violation of the Contract that can simply be remedied by your modification or update of your Application, we will, in most cases, ask you to take direct action rather than intervene. In such instance, we may use your name, address and other contact details to contact you or provide this contact information to any third party that reasonably, in Slack's sole determination, claims that you do not possess all of the necessary intellectual property rights. In some instances, we may directly step in and take what we determine to be appropriate action if you are not responsive, or if we believe there is a credible risk of harm to us, the Services, our customers or users or any third parties. Slack also reserves a right to audit your application to ensure it does not violate our terms and policies. You agree that you will cooperate with inquiries related to such an audit and provide us with proof that your application complies with our terms and policies.

# Ownership and Proprietary Rights
### Reservation of Rights
You retain your ownership rights in your Application and we own and will continue to own our APIs, documentation and Services, including all related intellectual property rights therein. All of our rights not expressly granted by the Contract are hereby retained.

### Feedback is Welcome
The more suggestions our developers make, the better our APIs become. If you send us any feedback or suggestions regarding the APIs or documentation, there is a chance we will use it, so you grant us an unlimited, irrevocable, perpetual, sublicensable, transferable, royalty-free license to use any such feedback or suggestions for any purpose without any obligation or compensation to you. If we choose not to implement the suggestion, please don’t take it personally. We appreciate it nonetheless.

# Termination
You may terminate the Contract by discontinuing use of our APIs. We may terminate the Contract with or without cause, and without notice to you. Upon termination of the Contract, all rights and licenses granted to you will terminate immediately. You understand that any APIs or documentation that are not made generally available but that are otherwise made available to you are the confidential information of Slack. Upon termination of the Contract, you will promptly destroy copies of any documentation and any other Slack information in your possession or control that was received under the Contract.

# Representations; Disclaimer of Warranties
You represent and warrant that you have validly entered into the Contract and have the legal power to do so.

EXCEPT AS EXPRESSLY PROVIDED FOR HEREIN, THE APIS, DOCUMENTATION AND ALL RELATED COMPONENTS AND INFORMATION ARE PROVIDED BY US ON AN "AS IS" AND "AS AVAILABLE" BASIS WITHOUT ANY WARRANTIES OF ANY KIND, AND WE EXPRESSLY DISCLAIM ANY AND ALL WARRANTIES, WHETHER EXPRESS OR IMPLIED, INCLUDING THE IMPLIED WARRANTIES OF MERCHANTABILITY, TITLE, FITNESS FOR A PARTICULAR PURPOSE, AND NON-INFRINGEMENT. YOU ACKNOWLEDGE THAT WE DO NOT WARRANT THAT THE APIS WILL BE UNINTERRUPTED, TIMELY, SECURE, OR ERROR-FREE.

# Limitation of Liability
IN NO EVENT WILL OUR OR THE SLACK EXTENDED FAMILY’S AGGREGATE LIABILITY ARISING OUT OF OR RELATED TO THE CONTRACT (WHETHER IN CONTRACT OR TORT OR UNDER ANY OTHER THEORY OF LIABILITY) EXCEED US$100.

IN NO EVENT WILL WE OR THE SLACK EXTENDED FAMILY HAVE ANY LIABILITY TO YOU OR TO ANY THIRD PARTY FOR ANY LOST PROFITS OR REVENUES OR FOR ANY INDIRECT, SPECIAL, INCIDENTAL, CONSEQUENTIAL, COVER OR PUNITIVE DAMAGES HOWEVER CAUSED, WHETHER IN CONTRACT, TORT OR UNDER ANY OTHER THEORY OF LIABILITY, AND WHETHER OR NOT YOU OR THE THIRD PARTY HAS BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGES. THE FOREGOING DISCLAIMER WILL NOT APPLY TO THE EXTENT PROHIBITED BY APPLICABLE LAW.

The limitations under this "Limitation of Liability" section apply with respect to all legal theories, whether in contract, tort or otherwise, and to the extent permitted by law. The provisions of this "Limitation of Liability" section allocate the risks under the Contract between the parties, and the parties have relied on these limitations in determining whether to enter into the Contract.

# Application of Consumer Law
Our APIs and documentation are intended for use by businesses and organizations and not for consumer purposes. To the maximum extent permitted by law, you hereby acknowledge and agree that consumer laws do not apply. If however any consumer laws (e.g., in Australia, the Competition and Consumer Act 2010 (Cth)) do apply and cannot otherwise be lawfully excluded, nothing in these API Terms will restrict, exclude or modify any statutory warranties, guarantees, rights or remedies you have, and our liability is limited (at our option) to the replacement or repair of the APIs.

# Your Indemnification of Us
You will defend us and the members of the Slack Extended Family (collectively, the "Slack Indemnified Parties") from and against any and all third party claims, actions, suits, proceedings, and demands arising from or related to your violation of the Contract or your violation of your user agreement or privacy policy (a "Claim Against Us"), and will indemnify the Slack Indemnified Parties for all reasonable attorney’s fees incurred and damages and other costs finally awarded against a Slack Indemnified Party in connection with or as a result of, and for amounts paid by a Slack Indemnified Party under a settlement you approve of in connection with, a Claim Against Us. We must provide you with prompt written notice of any Claim Against Us and allow you the right to assume the exclusive defense and control, and cooperate with any reasonable requests assisting your defense and settlement of such matter. This section states your sole liability with respect to, and the Slack Indemnified Parties’ exclusive remedy against you for, any Claim Against Us.

# Limitations on Indemnifications
Notwithstanding anything contained in the preceding section, (a) we will always be free to choose our own counsel if we pay for the cost of such counsel; and (b) no settlement may be entered into by you, without our express written consent (such consent not to be unreasonably withheld), if: (i) the third party asserting the claim is a government agency, (ii) the settlement arguably involves the making of admissions, (iii) the settlement does not include a full release of liability, or (iv) the settlement includes terms other than a full release of liability and the payment of money.

# Survival
The sections titled "Our Rights to Suspend Access and Audit," "Ownership & Proprietary Rights," "Termination," "Representations; Disclaimer of Warranties," "Limitation of Liability," "Your Indemnification of Us," "Limitations on Indemnifications," and "Survival," as well as all of the provisions under the general heading "General Provisions," will survive any termination or expiration of the Contract.

# General Provisions
### Publicity
You grant us the right to use your company name and logo as a reference for marketing or promotional purposes on our website and in other public or private communications with our existing or potential developers and customers, subject to your standard trademark usage guidelines as provided to us from time-to-time.

### Force Majeure
Neither we nor you will be liable by reason of any failure or delay in the performance of its obligations on account of events beyond the reasonable control of a party, which may include denial-of-service attacks, a failure by a third party hosting provider or utility provider, strikes, shortages, riots, fires, acts of God, war, terrorism, and governmental action.

### Relationship of the Parties; No Third Party Beneficiaries
The parties are independent contractors. The Contract does not create a partnership, franchise, joint venture, agency, fiduciary or employment relationship between the parties. There are no third party beneficiaries to the Contract.

### Email and Slack Messages
Except as otherwise set forth herein, all notices under the Contract will be by email, although if you have a Services account, we may instead choose to provide notice to you through the Services (e.g., a slackbot notification). Notices to Slack will be sent to [feedback@slack.com](mailto:feedback@slack.com), except for legal notices, such as notices of termination, which must be sent to [legal@slack.com](mailto:legal@slack.com). Notices will be deemed to have been duly given (a) the day after they are sent, in the case of notices through email; and (b) the same day, in the case of notices through the Services.

### Export Controls & Sanctions
Applications made available on the Slack platform may be subject to United States’ and other jurisdictions’ export control and sanctions laws and regulations. You agree to comply strictly with all such export control and sanctions laws and regulations that apply to your distribution or use of the Slack API and Applications subject to requirements in the [Slack Application Developer Policy](https://api.slack.com/developer-policy).

### Modifications to our APIs and Documentation
Slack is still evolving, and so we need the flexibility to occasionally make changes to our APIs, including backwards incompatible changes. We will try to give notice of these changes, but you should consider following the @slackapi Twitter account or viewing our [changelogs](https://api.slack.com/changelog) for updates. Also, parts of our API are undocumented, including certain methods, events, and properties. Given that these undocumented aspects of our APIs may change at any time, you should not rely on their behaviors.

### Modifications to the Contract
As our business evolves, we may change these API Terms and the other components of the Contract. If we make a material change to the Contract, we will provide you with reasonable notice prior to the change taking effect, either by emailing the email address associated with your account or by messaging you through the Services. You can review the most current version of the API Terms at any time by visiting this page and by visiting the most current versions of the other pages that are referenced in the Contract. The materially revised Contract will become effective on the date set forth in our notice, and all other changes will become effective upon posting of the change. If you access our APIs after the effective date, that access will constitute your acceptance of any revised terms and conditions.

### Waiver
No failure or delay by either party in exercising any right under the Contract will constitute a waiver of that right. No waiver under the Contract will be effective unless made in writing and signed by an authorized representative of the party being deemed to have granted the waiver.

### Severability
The Contract will be enforced to the fullest extent permitted under applicable law. If any provision of the Contract is held by a court of competent jurisdiction to be contrary to law, the provision will be modified by the court and interpreted so as best to accomplish the objectives of the original provision to the fullest extent permitted by law, and the remaining provisions of the Contract will remain in effect.

### Assignment
Neither party may assign or delegate any of its rights or obligations hereunder, whether by operation of law or otherwise, without the prior written consent of the other party (not to be unreasonably withheld). Notwithstanding the foregoing, either party may assign the Contract in its entirety, without consent of the other party, to a corporate affiliate or in connection with a merger, acquisition, corporate reorganization, or sale of all or substantially all of its assets. Any purported assignment in violation of this section is void. A party’s sole remedy for any purported assignment by the other party in breach of this section will be, at the non-assigning party’s election, termination of the Contract upon written notice to the assigning party. Subject to the foregoing, the Contract will bind and inure to the benefit of the parties, their respective successors and permitted assigns.

### Which Slack Entity are You Contracting With?
All references to ‘Slack,’ ‘we,’ or ‘us’ under the Contract, what law will apply in any dispute or lawsuit arising out of or in connection with the Contract, and which courts have jurisdiction over any such dispute or lawsuit, depend on where you are domiciled.

| Domicile      | Slack Contracting Entity | Governing Law     | Venue               |
| :---        |    :---   |  :--- | :---   |
| US and Canada      | Slack Technologies, LLC       | California   | San Francisco County, California              |
| Rest of World   | Slack Technologies Limited        | Ireland      | Dublin, Ireland               |


The Contract, and any disputes arising out of or related hereto, will be governed exclusively by the applicable governing law above, without regard to conflicts of laws rules or the United Nations Convention on the International Sale of Goods. The courts located in the applicable venue above will have exclusive jurisdiction to adjudicate any dispute arising out of or relating to the Contract or its formation, interpretation or enforcement. Each party hereby consents and submits to the exclusive jurisdiction of such courts. Each party also hereby waives any right to jury trial in connection with any action or litigation in any way arising out of or related to the Contract. In any action or proceeding to enforce rights under the Contract, the prevailing party will be entitled to recover its reasonable costs and attorney’s fees.

### Entire Agreement
The Contract, including these API Terms constitutes the entire agreement between the parties and supersedes all prior and contemporaneous agreements, proposals or representations, written or oral, concerning its subject matter. To the extent of any conflict or inconsistency between the provisions in these API Terms and any other documents or pages referenced in these API Terms, the following order of precedence will apply: (A) the API Terms, (B) [Slack Application Developer Policy](https://api.slack.com/developer-policy), and (C) any other documents or pages referenced in the Contract.